# fn:tokenize

fn:tokenize(string? $input, string $pattern) → string*

Function signature

$input | xs:string ?
$pattern | xs:string
Result | xs:string *

Returns a sequence of strings formed by breaking the input string at any substring that matches the given regular expression

XPath 2.0 Specification

fn:tokenize(string? $input, string $pattern, string $flags) → string*

Function signature

$input | xs:string ?
$pattern | xs:string
$flags | xs:string
Result | xs:string *?

Returns a sequence of strings formed by breaking the input string at any substring that matches the given regular expression, using flags to control the way regular expression matching is performed

XPath 2.0 Specification

Next